import request from '@/utils/request'

// 查询工资上报详情列表
export function listSalaryinfo(query) {
  return request({
    url: '/system/salaryinfo/list',
    method: 'get',
    params: query
  })
}

// 查询工资上报详情详细
export function getSalaryinfo(id) {
  return request({
    url: '/system/salaryinfo/' + id,
    method: 'get'
  })
}

// 新增工资上报详情
export function addSalaryinfo(data) {
  return request({
    url: '/system/salaryinfo',
    method: 'post',
    data: data
  })
}

// 修改工资上报详情
export function updateSalaryinfo(data) {
  return request({
    url: '/system/salaryinfo',
    method: 'put',
    data: data
  })
}

// 删除工资上报详情
export function delSalaryinfo(id) {
  return request({
    url: '/system/salaryinfo/' + id,
    method: 'delete'
  })
}

// 导出工资上报详情
export function exportSalaryinfo(query) {
  return request({
    url: '/system/salaryinfo/export',
    method: 'get',
    params: query
  })
}